"""
Author: Michel Peltriaux
Created on: 14.12.25

"""
from abc import ABC

from django.contrib.auth.mixins import LoginRequiredMixin
from django.http import HttpRequest, HttpResponse
from django.utils.decorators import method_decorator
from django.views import View

from konova.decorators import any_group_check


class AbstractIndexView(LoginRequiredMixin, View, ABC):
    _TEMPLATE = "generic_index.html"

    @method_decorator(any_group_check)
    def get(self, request: HttpRequest, *args, **kwargs) -> HttpResponse:
        raise NotImplementedError()
